[alsa-devel] 15 April unstable does not handle wave-in

Susan Cragin susancragin at earthlink.net
Wed Apr 15 20:40:07 CEST 2009

>>> >> I just downloaded and installed the unstable snapshot 15-April 9:55. 
>>> >> Both my sound cards are shown by asoundconf, but neither works. The wave-in wave-out is still not recognized. 
>>> >
>>> >I suppose you are referring to CA0110?  Could you elaborate?
>>> >
>>> >The ca0110 codec support itself has no big change.  The last one was
>>> >in Feb. 18.  The rest is either HD-audio core or PCM core.  But these
>>> >have little to do with the probing...
>>> >
>>> >
>>> >Takashi
>>> Please excuse my technical ignorance. Here is everything I know. 
>>> My hda-intel card is also not being recognized after installing alsa-driver-unstable. The only thing that works is my usb microphone. 
>>> I think that the program is not giving the instruction to have
>>> modules inserted on bootup.  
>>> I have attached sample modprobe, aplay, asoundconf, modules,
>>> alsa-base.conf 
>>Check /proc/asound/version.  Is it the latest one?
>>> $ modprobe snd-card-hda-intel
>>modprobe snd-hda-intel
>$ sudo cat /proc/asound/version
>Advanced Linux Sound Architecture Driver Version 1.0.19.
>Compiled on Apr 15 2009 for kernel 2.6.28-11-generic (SMP).
>susan at ubuntu:~$ modprobe snd-hda-intel
>WARNING: All config files need .conf: /etc/modprobe.d/oss-compat, it will be ignored in a future release.
>susan at ubuntu:~$ 

I should mention something else. This happened once before, a couple of weeks ago, I think. Then header updates came out of the Ubuntu-Jaunty repository, and then the problem went away. I wish I had been paying more attention to what happened.

More information about the Alsa-devel mailing list